﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.Collections;

/// <summary>
/// Summary description for BusinessObject
/// </summary>
[DataObject]
public class BOSelector
{
    [DataObjectMethod(DataObjectMethodType.Select, true)]
    public static IEnumerable GetObjects()
    {
        DateTime today = DateTime.Today;

        List<BO> data = new List<BO>();
        data.Add(new BO(1, "Name1", today.ToOADate(), today.AddDays(20).ToOADate()));
        data.Add(new BO(1, "Name1", today.AddDays(21).ToOADate(), today.AddDays(45).ToOADate()));
        data.Add(new BO(2, "Name2", today.ToOADate(), today.AddDays(11).ToOADate()));
        data.Add(new BO(2, "Name2", today.AddDays(12).ToOADate(), today.AddDays(22).ToOADate()));
        data.Add(new BO(2, "Name2", today.AddDays(23).ToOADate(), today.AddDays(41).ToOADate()));
        data.Add(new BO(5, "Name5", today.ToOADate(), today.AddDays(11).ToOADate()));
        data.Add(new BO(5, "Name5", today.AddDays(12).ToOADate(), today.AddDays(22).ToOADate()));
        data.Add(new BO(5, "Name5", today.AddDays(23).ToOADate(), today.AddDays(41).ToOADate()));
        data.Add(new BO(10, "Name10", today.ToOADate(), today.AddDays(14).ToOADate()));
        data.Add(new BO(10, "Name10", today.AddDays(26).ToOADate(), today.AddDays(35).ToOADate()));

        return data;
    }
}

public class BO
{
    public BO(int id, string name, double start, double end)
    {
        this.MemberID = id;
        this.MemberName = name;
        this.StartDate = start;
        this.EndDate = end;
    }

    public int MemberID
    {
        get;
        set;
    }

    public string MemberName
    {
        get;
        set;
    }

    public double StartDate
    {
        get;
        set;
    }

    public double EndDate
    {
        get;
        set;
    }
}