﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Charting;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    int value = 0;
    string label = "";
    protected void RadChart1_ItemDataBound(object sender, Telerik.Charting.ChartItemDataBoundEventArgs e)
    {
        string memberName = (e.DataItem as DataRowView)["MemberName"].ToString();
        if (memberName != label)
        {
            label = memberName;

            // Add axis items for the data "gaps" between the actual data
            decimal memberID = decimal.Parse((e.DataItem as DataRowView)["MemberID"].ToString());
            int axisItemCount = (int)(memberID - value);
            for (int i = 0; i < axisItemCount - 1; i++)
            {
                ChartAxisItem axisItem = new ChartAxisItem("X");
                axisItem.Value = ++value;
                RadChart1.PlotArea.XAxis.Items.Add(axisItem);
            }

            // Add the axis item for the actual data
            ChartAxisItem axisItem2 = new ChartAxisItem(label);
            axisItem2.Value = ++value;
            RadChart1.PlotArea.XAxis.Items.Add(axisItem2);
        }
    }

}
